Configurations

Retrieve Webhooks configurations

Please be aware that using this endpoint requires either the View Webhooks configurations or Manage Webhooks configurations security role.

get
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions

Response

application/json

OK

antivirusEnabledboolean
configsarray[object]
Show Child Parameters
messagestring
successboolean
get/v7/webhooks/public/api/subscriptions
 
application/json

Create a Webhook configuration

Please be aware that using this endpoint requires the Manage Webhooks configurations security role.

post
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions

Body

application/json
endpointstringrequired

Endpoint for the Webhooks subscription.

eventsarrayrequired

List of events to subscribe to.

namestringrequired

Display name for the Webhooks configuration.

preArchivedNotificationDaysnumber

Required to have a value of 1 or greater if the “asset_bank.media.pre_archived” event is subscribed to

protocolstringrequired

Protocol for the Webhooks subscription. Possible values: “http”, “https”, “email”, “email-json”, “sqs”.

Response

application/json

OK

messagestring
recordobject
Show Child Parameters
successboolean
post/v7/webhooks/public/api/subscriptions

Body

{ "endpoint": "endpoint", "events": [], "name": "name", "protocol": "protocol" }
 
application/json

Delete a Webhook Configuration

Please be aware that using this endpoint requires the Manage Webhooks configurations security role.

delete
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions/{id}

Path Parameters

idstringrequired

Webhook configuration ID.

Response

204

Webhook deleted successfully

delete/v7/webhooks/public/api/subscriptions/{id}
 
204

Patch a Webhook Configuration

Please be aware that using this endpoint requires the Manage Webhooks configurations security role.

patch
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions/{id}

Path Parameters

idstringrequired

Webhook configuration ID.

Body

application/json

ApiV7WebhooksPublicApiSubscriptionsRequest2

namestring

Example:Updated name via API

statusinteger

Example:1

Response

200

Webhook patched successfully

patch/v7/webhooks/public/api/subscriptions/{id}

Body

{}
 
200